import request from '@/utils/request'

// 查询汇付多支付配置列表
export function listHfpayConfig(query) {
  return request({
    url: '/his/hfpayConfig/list',
    method: 'get',
    params: query
  })
}

// 查询汇付多支付配置详细
export function getHfpayConfig(id) {
  return request({
    url: '/his/hfpayConfig/' + id,
    method: 'get'
  })
}

// 新增汇付多支付配置
export function addHfpayConfig(data) {
  return request({
    url: '/his/hfpayConfig',
    method: 'post',
    data: data
  })
}

// 修改汇付多支付配置
export function updateHfpayConfig(data) {
  return request({
    url: '/his/hfpayConfig',
    method: 'put',
    data: data
  })
}

// 删除汇付多支付配置
export function delHfpayConfig(id) {
  return request({
    url: '/his/hfpayConfig/' + id,
    method: 'delete'
  })
}

// 导出汇付多支付配置
export function exportHfpayConfig(query) {
  return request({
    url: '/his/hfpayConfig/export',
    method: 'get',
    params: query
  })
}